'use strict';

var key = Symbol('key'),
    api = Symbol('api'),
    post = {
      id: 1,
      title: 'Hello JS',
      render: function() {
        console.log( this );
      }
    }

post[key] = '1X84SB76D';
post[api] = 'D66BS48X1';

Object.defineProperty(
  post,
  'location',
  {
    value: 'DC',
    writable: false,
    configurable: false,
    enumerable: false
  }
);

console.log( 'Post: ', post );

console.log( 'Entries: ', Object.entries( post ) );
console.log( 'Names: ', Object.getOwnPropertyNames( post ) );
console.log( 'Symbols: ', Object.getOwnPropertySymbols( post ));
